Bug 461361 - When trying to upgrade from f9 to f10 a poker3d problem blocks the upgrade
When trying to upgrade from f9 to f10 a poker3d problem blocks the upgrade
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 11:38 EDT by Bruno Wolff III
Modified: 2014-01-21 18:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 15:05:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum -d 3 output (160.33 KB, text/plain)
2008-09-06 11:38 EDT, Bruno Wolff III
no flags Details
yum update results after poker3d was removed (1.72 MB, text/plain)
2008-09-06 18:37 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2008-09-06 11:38:25 EDT
Created attachment 315953 [details]
yum -d 3 output

Description of problem:
When I tried to do a yum upgrade from f9 to f10 a dependency problem with poker3d prevented yum from being able to do the upgrade. Uninstalling poker3d got past that point, but I expected the skip broken feature to have been able to work around the issue.

Version-Release number of selected component (if applicable):
yum-3.2.19-3.fc9.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install poker3d on a f9 system
2. yum update (with skipbroken and obsoletes turned on)
3.
  
Actual results:
yum stopped after being unable to recover from a dependency problem.

Expected results:
yum would do the upgrade skipping the poker3d update.

Additional info:
Comment 1 Bruno Wolff III 2008-09-06 18:37:16 EDT
Created attachment 315959 [details]
yum update results after poker3d was removed

In case your curious, I am attaching the output from yum update after removing poker3d. It mostly went pretty well and there were only a few orphans that seemed to all lead back to livna packages blocking updates.
Comment 2 seth vidal 2009-01-21 13:47:56 EST
How's 3.2.20 or 3.2.21 for this? Any positive changes?
Comment 3 Bruno Wolff III 2009-01-21 14:38:03 EST
I don't currently have an instance of F9 I can try this on. That might change in the near future as I want to look at wine in an early F9 as something that used to work in wine stopped working. (But I don't run it very often so a lot of changes occurred before I noticed.)
The one F9 instance I currently have isn't easy to play with (or test wine in) and I was leaning towards waiting until F11 to upgrade.
Comment 4 James Antill 2009-03-06 15:05:46 EST
There was no --skip-broken passed, so yum couldn't do anything. We've added msgs to give some info. in cases like this, so that should help.

Note You need to log in before you can comment on or make changes to this bug.